#include "DBDHookUtilities.h"
#include "GameplayTagContainer.h"

class AMeatHook;
class ASurvivor;

bool UDBDHookUtilities::IsWraithHook(AMeatHook* targetHook)
{
	return false;
}

bool UDBDHookUtilities::IsPigHook(AMeatHook* targetHook)
{
	return false;
}

bool UDBDHookUtilities::IsNurseHook(AMeatHook* targetHook)
{
	return false;
}

bool UDBDHookUtilities::IsLegionHook(AMeatHook* targetHook)
{
	return false;
}

bool UDBDHookUtilities::IsHuntressHook(AMeatHook* targetHook)
{
	return false;
}

bool UDBDHookUtilities::IsHookOf(AMeatHook* targetHook, FGameplayTag hookTag)
{
	return false;
}

bool UDBDHookUtilities::IsHagHook(AMeatHook* targetHook)
{
	return false;
}

bool UDBDHookUtilities::IsFreddyHook(AMeatHook* targetHook)
{
	return false;
}

float UDBDHookUtilities::ComputeHookStrugglePercent(const ASurvivor* hookedCamper, float hookStruggleThreshold)
{
	return 0.0f;
}

UDBDHookUtilities::UDBDHookUtilities()
{

}
